SoTextureCoordinateFunction(3)

NAME
SoTextureCoordinateFunction - The SoTextureCoordinateFunction class is an abstract base class for texture coordinate generating nodes.

SYNOPSIS

#include <Inventor/nodes/SoTextureCoordinateFunction.h>

Inherits SoNode.

Inherited by SoTextureCoordinateDefault, SoTextureCoordinateEnvironment, SoTextureCoordinateNormalMap, SoTextureCoordinateObject, SoTextureCoordinatePlane, and SoTextureCoordinateReflectionMap.

  Public Member Functions
virtual SoType getTypeId (void) const
SoTextureCoordinateFunction (void)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoTextureCoordinateFunction ()

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoTextureCoordinateFunction class is an abstract base class for texture coordinate generating nodes. Classes reimplementing SoTextureCoordinateFunction generate texture coordinates by projecting object space surface points using some function.

Constructor & Destructor Documentation

  SoTextureCoordinateFunction::SoTextureCoordinateFunction (void)
Constructor.

  SoTextureCoordinateFunction::~SoTextureCoordinateFunction () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoTextureCoordinateFunction::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoTextureCoordinateFunction::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Implements SoBase.

Reimplemented in SoTextureCoordinateDefault, SoTextureCoordinateEnvironment, SoTextureCoordinateNormalMap, SoTextureCoordinateObject, SoTextureCoordinatePlane, and SoTextureCoordinateReflectionMap.

  const SoFieldData ** SoTextureCoordinateFunction::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoTextureCoordinateFunction::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoFieldContainer.

Reimplemented in SoTextureCoordinateDefault, SoTextureCoordinateEnvironment, SoTextureCoordinateNormalMap, SoTextureCoordinateObject, SoTextureCoordinatePlane, and SoTextureCoordinateReflectionMap.

Author

Generated automatically by Doxygen for Coin from the source code.